/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	setMaxLength(PRM_TXT_RT_CODE    , LEN_RT_CODE);
	setMaxLength(PRM_TXT_RT_NAME    , LEN_RT_NAME);
	// 登録/更新判定
	if (MODE == 0) {
		// 読取専用設定
		setReadOnly(PRM_PLT_DELETE  , true);
		// フォーカス設定
		setFocus(PRM_TXT_RT_CODE);
	} else if (MODE == 1 || MODE == 2) {
		// 読取専用設定及びフォーカス設定(UPDATEの場合)
		setReadOnly(PRM_TXT_RT_CODE  , true);
		// フォーカス設定
		setFocus(PRM_TXT_RT_NAME);
	}	
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (MODE == 0) {
			doSubmitMessage(objForm, 'K1217', 'QC0001', '');
		} else if (MODE == 1) {
			doSubmitMessage(objForm, 'K1218', 'QC0001', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_RT_CODE    , NAM_RT_CODE	 , aryMessage);
	checkRequired(PRM_TXT_RT_NAME    , NAM_RT_NAME   , aryMessage);
	checkRequired(PRM_PLT_HOLIDAY    , NAM_HOLIDAY   , aryMessage);
	
	checkCode    (PRM_TXT_RT_CODE    , NAM_RT_CODE	 , aryMessage);
	
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
